### Method

# Gtk.TreePath.get_indices_with_depth

#### Declaration [src]

    int*
    gtk_tree_path_get_indices_with_depth (
      GtkTreePath* path,
      int* depth
    )

#### Description [src]

Returns the current indices of `path`.

This is an array of integers, each representing a node in a tree. It also returns the number of elements in the array. The array should not be freed.

#### Parameters

`depth` | `int*`
| return location for number of elements returned in the integer array, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `int`
The current indices, or `NULL`
| The length of the array is in the `depth` argument
Ownership is not transferred to the caller